(*
A mutable variable can change over time in the execution of the program.
An immutable value is given a value on creation and never changes.
*)

//currentTemperature is immutable, you can't change it
let currentTemperature = 90

//When you use =, you are not setting the value, but you are comparing
System.Console.WriteLine ("The value is {0}", (currentTemperature = 40))

//total is mutable, you can change it if you like
let mutable total = 0

printfn "Total is %d" total

total <- 20
printfn "Total now is %d" total

